/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.stateful;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.6.3 $
 */
public class ForwardId extends RuntimeException
{
   private final Object id;

   public ForwardId(Throwable wrapped, Object id)
   {
      super(wrapped);
      this.id = id;
   }

   public Object getId()
   {
      return id;
   }
}
